interface ConsumerMessageBrokerContract {
    options: ConsumerMessageBroker.Options;
}
declare namespace ConsumerMessageBroker {
    interface Options {
        clientId?: string;
        groupId: string;
        topics: (string | RegExp)[];
        messageToLog?: boolean;
        sessionTimeout?: number;
        heartbeatInterval?: number;
        initialRetryTime?: number;
        retries?: number;
        topicConsumeConcurrently?: number;
        queuePartitions?: number;
        queueConsumeConcurrently?: number;
        directDqlErrors?: any[];
    }
}

export { ConsumerMessageBroker, ConsumerMessageBrokerContract };
