import { ConsumerMessageHandlerContract } from '../contracts/consumer-message-handler-contract.js';
import { ConsumerMessageBroker } from '../contracts/consumer-message-broker-contract.js';
import { ConsumerType } from '../types/consumer-type.js';
import '../contracts/message-broker-contract.js';

declare function makeConsumerMessageBroker<Message = any>(options: ConsumerMessageBroker.Options, processMessage: ConsumerMessageHandlerContract<Message>): ConsumerType;

export { makeConsumerMessageBroker };
