import { ProducerMessageHandlerContract } from '../contracts/producer-message-handler-contract.js';
import { ProducerMessageBroker } from '../contracts/producer-message-broker-contract.js';
import { ProducerType } from '../types/producer-type.js';
import '../contracts/message-broker-contract.js';

declare function makeProducerMessageBroker<Message = any, FormattedMessage = any>(options: ProducerMessageBroker.Options, processMessage: ProducerMessageHandlerContract<Message, FormattedMessage>): ProducerType<Message>;

export { makeProducerMessageBroker };
