interface ProducerMessageBrokerContract<Message = any> {
    options: ProducerMessageBroker.Options;
    produce(message: Message, options?: {
        key: string;
    }): Promise<void>;
}
declare namespace ProducerMessageBroker {
    interface Options {
        topic: string;
        acks?: -1 | 0 | 1;
    }
}

export { ProducerMessageBroker, ProducerMessageBrokerContract };
