interface ProducerMessageHandlerContract<Message = any, FormattedMessage = any> {
    handle(message: Message): Promise<[FormattedMessage, ProducerMessageHandler.Output]>;
}
declare namespace ProducerMessageHandler {
    type Output = {
        details?: any;
        tags?: string[];
    };
}

export { ProducerMessageHandler, ProducerMessageHandlerContract };
