import { ConsumerMessageHandlerContract } from '../../contracts/consumer-message-handler-contract.js';
import { LocalMessage } from './local-message.js';

declare class LocalConsumer {
    private readonly processMessage;
    isConnected: boolean;
    private _messages;
    constructor(processMessage: ConsumerMessageHandlerContract);
    get messages(): LocalMessage[];
    run(): Promise<void>;
    addMessages(messages: LocalMessage[]): Promise<void>;
    disconnect(): Promise<void>;
    connect(): Promise<void>;
}

export { LocalConsumer };
